#
# spec file for package python-openstack.nose_plugin
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-openstack.nose_plugin
Version:        0.11
Release:        lp151.2.2
Summary:        Openstack run_testspy style output for nosetests
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            https://github.com/jkoelker/openstack-nose
Source:         http://pypi.python.org/packages/source/o/openstack.nose_plugin/openstack.nose_plugin-%{version}.tar.gz
BuildRequires:  openstack-suse-macros
BuildRequires:  python-devel
BuildRequires:  python-setuptools
Requires:       python-colorama
Requires:       python-nose
Requires:       python-termcolor
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
openstack.nose_plugin provides a nose plugin that allow's nosetests output to
mimic the output of openstack's run_tests.py.

%prep
%setup -q -n openstack.nose_plugin-%{version}

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc README.rst
%{python2_sitelib}/*

%changelog
* Wed Jul 29 2015 tbechtold@suse.com
- Unify spec file. Use fedora compatible files macros
* Mon Nov 25 2013 dmueller@suse.com
- switch to python-setuptools
* Mon Nov 19 2012 saschpe@suse.de
- Initial version
